#!/bin/bash
CUSTOMER="cib"
APP_NAME="${CUSTOMER}daemon"
APP_PATH=""
# 检查系统版本信息
if grep -q "chinauos" /etc/os-release; then
    APP_PATH="/opt/apps/org.szra.uos${CUSTOMER}ukey/files/bin"
elif grep -q "Kylin" /etc/os-release; then
    APP_PATH="/opt/apps/org.szra.kylin${CUSTOMER}ukey/bin"
else
    APP_PATH="/opt/apps/org.szra.uos${CUSTOMER}ukey/files/bin"
    echo "Unknown operating system, please check it!"
fi

echo $APP_PATH/$APP_NAME

ret=`ps -e | grep "$APP_NAME" |grep -v grep`

if [ -n "$ret" ] 
then
        :
        echo "Running"
else
        echo "Not Running"
        ${APP_PATH}/${APP_NAME} 2>/dev/null 1>/dev/null &
fi
