#!/bin/bash
# The application must be guaranteed to start as an ordinary user. please pay attention to modifying the XDG_CURRENT_DESKTOP environment variable.
# This file is called by RADaemon(daemon) to launch the RAUkeyManagerTool.

OS=""
APP_NAME="cibukey"
APP_PATH=""
echo "first parameter is:$1"
CURRENT_DESKTOP=
# 检查系统版本信息
if grep -q "chinauos" /etc/os-release; then
    #echo "当前操作系统为统信"
    CURRENT_DESKTOP=Deepin
    APP_PATH="/opt/apps/org.szra.uos${APP_NAME}/files/bin"
elif grep -q "Kylin" /etc/os-release; then
    #echo "当前操作系统为麒麟"
    CURRENT_DESKTOP=UKUI
    APP_PATH="/opt/apps/org.szra.kylin${APP_NAME}/bin"
else
    CURRENT_DESKTOP=Deepin
    APP_PATH="/opt/apps/org.szra.uos${APP_NAME}/files/bin"
    echo "Unknown operating system, please check the XDG_CURRENT_DESKTOP environment variable!"
fi

#su -l $USER_NAME -c "
export DISPLAY=:0
export XDG_CURRENT_DESKTOP=${CURRENT_DESKTOP}
export XDG_SESSION_TYPE=x11
#nohup ${APP_PATH}/${APP_NAME} $1 > /dev/null 2>&1 &
nohup ${APP_PATH}/${APP_NAME} $1 > /tmp/daemon_start_{APP_NAME}.log 2>&1 &
#"
