#!/bin/bash

#check uninstall.sh
if [ -f /opt/apps/org.szra.uoscibukey/files/uninstall.sh ];then
	sh /opt/apps/org.szra.uoscibukey/files/uninstall.sh
fi

systemctl stop systemd-pcscd-ra.service
systemctl disable systemd-pcscd-ra.service
systemctl daemon-reload

#tar -xvzf org.szra.uoscibukey_amd64.tar.gz -C /opt/apps/org.szra.uoscibukey/files

cd /opt/apps/org.szra.uoscibukey/files
chmod -R 755 /opt/apps/org.szra.uoscibukey/files

#install desktop menu (Not need on UOS)
##rm -fr /usr/share/applications/org.szra.uoscibukey.desktop
##mv ./xdg/org.szra.uoscibukey.desktop /usr/share/applications/org.szra.uoscibukey.desktop

#xdg-menu
#if [ -d "/etc/xdg/menus/applications-merged/" ]; then
#	rm /etc/xdg/menus/applications-merged/org.szra.uoscibukey.menu -fr 		
#else
#	mkdir /etc/xdg/menus/applications-merged/ -p		
#fi
#mv ./xdg/org.szra.uoscibukey.menu /etc/xdg/menus/applications-merged/org.szra.uoscibukey.menu

#xdg-autostart
#mv ./xdg/org.szra.uoscibukey.desktop /etc/xdg/autostart/org.szra.uoscibukey.desktop
mv ./xdg/org.szra.uoscibmonitor.desktop /etc/xdg/autostart/org.szra.uoscibmonitor.desktop

#delete xdg directory
rm -rf ./xdg

#install SKF Lib
#ln -fs /opt/apps/org.szra.uoscibukey/files/Librarys/libRASKF.so /usr/lib/libcibSZRASKF.so
rm -rf /usr/lib/libcibSZRASKF.so
cp -rf /opt/apps/org.szra.uoscibukey/files/Librarys/libRASKF.so.1.0.0 /usr/lib/libcibSZRASKF.so
cp -rf /opt/apps/org.szra.uoscibukey/files/Librarys/libRASKF.sig /usr/lib/libcibSZRASKF.sig

#driver and start file
cd ./Profile
sh install.sh
cd ..
rm -rf ./Profile

#libusb
cd ./libusb
sh install.sh
cd ../
rm -rf ./libusb

#pcscd
mkdir /usr/local/rongan -p
cp -rf ./pcsc /usr/local/rongan
chmod -R 777 /usr/local/rongan/pcsc
rm -rf ./pcsc

#install xpi
#cd ./xpi/SZRA
#sh install.sh
#cd ../../
rm -rf ./xpi

#install  daemon pcscd service
cd ./services
sh getUser.sh
cp systemd-pcscd-ra.service /lib/systemd/system
#cp systemd-cibdaemon-ra.service /lib/systemd/system
systemctl enable systemd-pcscd-ra.service
#systemctl enable systemd-cibdaemon-ra.service
systemctl daemon-reload
systemctl start systemd-pcscd-ra.service
#systemctl start systemd-cibdaemon-ra.service

#cp * /opt/apps/org.szra.uoscibukey/entries/services
cd ..
rm -rf ./services

#install P11
#USER_NAME=young
#for name in $(ls /home)
#do
#	su $name -c "modutil -dbdir /home/$name/.pki/nssdb -add SZRAPKCS11 -libfile /usr/local/rongan/ABC/Librarys/libRAPKCS11.so"
#done;

#start
rm -fr /opt/apps/org.szra.uoscibukey/files/uninstall.sh

##########################uninstall->start
cat >> /opt/apps/org.szra.uoscibukey/files/uninstall.sh << EOFF
#!/bin/bash
#stop apps
killall cib_driver_ra 2>/dev/null 1>/dev/null
killall cibukey 2>/dev/null 1>/dev/null
killall cibdaemon 2>/dev/null 1>/dev/null

#stop and disable services
#not stop pcscd
#systemctl stop systemd-pcscd-ra.service
#systemctl disable systemd-pcscd-ra.service

#systemctl stop systemd-cibdaemon-ra.service
#systemctl disable systemd-cibdaemon-ra.service
#rm /lib/systemd/system/systemd-cibdaemon-ra.service
#systemctl daemon-reload

#rm xdg (Not need on UOS)
##rm -fr /usr/share/applications/org.szra.uoscibukey.desktop
#rm -fr /etc/xdg/menus/applications-merged/org.szra.uoscibukey.menu

rm -fr /etc/xdg/autostart/org.szra.uoscibmonitor.desktop

#rm SKF lib link
rm -rf  /usr/lib/libcibSZRASKF.so
rm -rf  /usr/lib/libcibSZRASKF.sig

#rm pcsc dir
#rm -fr /usr/local/rongan/

#rm app run dir
rm -rf /opt/apps/org.szra.uoscibukey

#rm json
#USER_NAME=young
#rm -rf /home/$USER_NAME.config/browser/NativeMessagingHosts/cib_driver_ra.json

#del rc.local run
#sed -i '/usr\/local\/rongan\/pcsc\/pcscd_ra/d' /etc/rc.local

#uninstall P11
#su $name -c "modutil -dbdir /home/$name/.pki/nssdb -delete SZRAPKCS11"

echo "Unistall Success!"
EOFF
#########################uninstall->end
chmod 777 /opt/apps/org.szra.uoscibukey/files/uninstall.sh
