########################## monitor_start->start
#!/bin/bash
# 等待"systemd-pcscd-ra"服务先启动
count=1
while [ $count -le 10 ]; do
    echo "count: $count"
    if systemctl is-active --quiet systemd-pcscd-ra.service; then	
        echo "start monitor..."
        CURRENT_DESKTOP=
        # 检查系统版本
        if grep -q "chinauos" /etc/os-release; then
            CURRENT_DESKTOP=Deepin
        elif grep -q "Kylin" /etc/os-release; then
            CURRENT_DESKTOP=UKUI
        else
            CURRENT_DESKTOP=Deepin
            echo "Unknown operating system, please check the XDG_CURRENT_DESKTOP environment variable!"
        fi
	
        USER_NAME=`cat /etc/passwd |awk -F: '$3==1000'|cut -f 1 -d:`
	
        runuser -l $USER_NAME -c "
        export DISPLAY=:0
        export XDG_CURRENT_DESKTOP=${CURRENT_DESKTOP}
        export XDG_SESSION_TYPE=x11
        nohup /opt/apps/org.szra.uoscibukey/files/bin/cibdaemon &"

        echo "monitor started."
        break
    else
        echo "systemd-pcscd-ra service is not active. Waiting 1 seconds before checking again."
        sleep 1
    fi
    count=$((count+1))
done
